Bug 105754 - Fading of service names during boot inhibits usability.
Fading of service names during boot inhibits usability.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 18:29 EDT by Derek P. Moore
Modified: 2013-04-02 00:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-07 18:12:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek P. Moore 2003-09-26 18:29:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703
Epiphany/1.0

Description of problem:
As the progess bar moves from left to right, the name
of the service that is attempting to start is shown
for a few seconds then faded away.  This is nice
eyecandy, but it's really inconvenient if a particular
service is taking forever or hanging indefinately.

If I'm not lucky enough to catch the name of the
service in the few seconds before it fades away, I'll
have no idea what's going wrong 'til I reboot and
devote 100% of my attention to watching the names of
the services before they fade away.

In #fedora-devel someone suggested that instead of the
names fading away after a few seconds, they could fade
from one into the next.  That sounds like a much more
sensible option if we really want fading eyecandy.

Version-Release number of selected component (if applicable):
0.9.4-1

How reproducible:
Always

Steps to Reproduce:
1.  Boot your Fredora installation and watch as the names fade away rather quickly.

Expected Results:  I should be able to know what service is attempting to boot
regardless of how closely I pay attention to the boot sequence.
Comment 1 Jonathan Blandford 2003-10-06 11:31:21 EDT
That's the correct behavior.  Only a small fraction of the steps of boot are
visible, and I don't want users to think the current visible label is the one
that is causing the slow boot.  There's a bug where it doesn't stay visible in
the case where it is the slow one, but in general, the behavior is correct.
Comment 2 Jonathan Blandford 2003-10-07 18:12:19 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.